////////////////////////////////
// NOTE(allen): Implement Auto Profiling Hooks

#if COMPILER_CLANG

link_function void
__cyg_profile_func_enter(void *fn, void *caller){
  prof_begin_inl("func", sizeof("func") - 1);
}

link_function void
__cyg_profile_func_exit(void *fn, void *caller){
  prof_end_inl();
}

#else
# error no auto profiling hooks implemented for this compiler
#endif
